Index: pacemaker/pengine/test10/comments.exp
===================================================================
--- pacemaker.orig/pengine/test10/comments.exp
+++ pacemaker/pengine/test10/comments.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="6" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000"  priority="1.0"/>
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000"  priority="1.0"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -19,7 +19,7 @@
      <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
        </rsc_op>
      </action_set>
      <inputs/>
@@ -28,7 +28,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
        </rsc_op>
      </action_set>
     <inputs/>
@@ -37,7 +37,7 @@
      <action_set>
       <rsc_op id="7" operation="start" operation_key="rsc2_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000"  priority="1.0"/>
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000"  priority="1.0"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -62,7 +62,7 @@
      <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  priority="1.0"/>
        </rsc_op>
      </action_set>
     <inputs/>
